This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 458723 - Review Request: rcssmonitor - RoboCup 2D Soccer Simulator Monitor
Review Request: rcssmonitor - RoboCup 2D Soccer Simulator Monitor
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-11 17:38 EDT by Hedayat Vatankhah
Modified: 2008-09-10 02:58 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-27 03:50:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Hedayat Vatankhah 2008-08-11 17:38:55 EDT
Spec URL: http://www.assembla.com/spaces/hedayat/documents/aIZlQGz-Wr3zipab7jnrAJ/download/rcssmonitor.spec
SRPM URL: http://www.assembla.com/spaces/hedayat/documents/cOF-O4z-Sr3y0dab7jnrAJ/download/rcssmonitor-12.1.0-1.fc9.src.rpm

Description: 
The RoboCup Soccer Simulator Monitor is a viewer for moved 2d vector graphics.
You can use it to watch 2D soccer games running on rcssserver. However, The
architecture of The RoboCup Soccer Simulator Monitor was from the beginning
kept as general and modular as possible and not just hacked to fit the  needs
of the robocup soccer server (rcssserver). So by now The RoboCup Soccer
Simulator Monitor is also used to visualize many other two dimensional system.

You can use UDP/IP communication sockets to send commands to The RoboCup Soccer
Simulator Monitor. A generic communication device is also included. It
understands a very easy description language to build and move 2d objects.
Comment 1 Hedayat Vatankhah 2008-08-11 18:31:31 EDT
Built on koji:
http://koji.fedoraproject.org/koji/taskinfo?taskID=772196

I can build the package using mock on my system too.
Comment 2 Mamoru TASAKA 2008-08-12 13:03:46 EDT
For 12.1.0-1:

! Comment
--------------------------------------------------
# Source 0 is created by me.
--------------------------------------------------
  - Perhaps Source1.

* Source1
--------------------------------------------------
   977  + desktop-file-install --vendor=fedora --dir=/builddir/build/BUILDROOT/rcssmonitor-12.1.0-1.fc10.i386//usr/share/applications /builddir/build/SOURCES/rcssmonitor.desktop
   978  /builddir/build/SOURCES/rcssmonitor.desktop: key "Categories" is a list and does not have a semicolon as trailing character, fixing
--------------------------------------------------
  - Fix the Category item as:
--------------------------------------------------
Categories=Education;Science;Robotics;
--------------------------------------------------

Please fix these when importing this into Fedora CVS.
Other things are okay

+ This builds on dist-f10:
  http://koji.fedoraproject.org/koji/taskinfo?taskID=773561
+ Spec/srpm (almost) clean
+ Can be installed correctly
+ Seems to work well

------------------------------------------------------------------------------
     This package (rcssmonitor) is APPROVED by mtasaka
------------------------------------------------------------------------------
Comment 3 Hedayat Vatankhah 2008-08-24 14:08:00 EDT
New Package CVS Request
=======================
Package Name: rcssmonitor
Short Description: RoboCup 2D Soccer Simulator Monitor
Owners: hedayat
Branches: F-8 F-9
Cvsextras Commits: yes
Comment 4 Kevin Fenzi 2008-08-24 14:56:42 EDT
cvs done.
Comment 5 Fedora Update System 2008-08-27 03:24:19 EDT
rcssmonitor-12.1.0-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/rcssmonitor-12.1.0-2.fc9
Comment 6 Fedora Update System 2008-08-27 03:24:22 EDT
rcssmonitor-12.1.0-2.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/rcssmonitor-12.1.0-2.fc8
Comment 7 Mamoru TASAKA 2008-08-27 03:50:51 EDT
Closing.
Comment 8 Fedora Update System 2008-09-10 02:55:10 EDT
rcssmonitor-12.1.0-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2008-09-10 02:58:16 EDT
rcssmonitor-12.1.0-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.